#!/usr/bin/make -f

export PYBUILD_NAME = tuxmake
export PYBUILD_TEST_PYTEST = 1
export PYBUILD_TEST_ARGS = test/
export LC_ALL = C.UTF-8

%:
	dh $@ --with python3,bash-completion --buildsystem=pybuild

# FIXME this should not be necessary with PYBUILD_TEST_PYTEST = 1 above
# but I can't get it to work for some reason.
override_dh_auto_test:
	for p in $$(py3versions --supported); do $$p -m pytest test/; done

override_dh_auto_build:
	dh_auto_build
	make man
	make bash_completion

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) clean
